This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 31788 - error in ifup
error in ifup
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts (Show other bugs)
1.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-14 12:51 EST by Gerald Teschl
Modified: 2014-03-16 22:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-14 12:54:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2001-03-14 12:51:27 EST
The latest ifup doesn't set the default route correctly. Below is a fix

--- ifup.orig   Tue Mar 13 23:19:06 2001
+++ ifup        Tue Mar 13 23:17:49 2001
@@ -166,7 +166,7 @@
 
     if [ -z "${GATEWAYDEV}" -o "${GATEWAYDEV}" = "${DEVICE}" ]; then
        # set up default gateway
-       if [ -n "${GATEWAY}" -a "`ipcalc --network ${GATEWAY} ${NETMASK}`
2>/dev/null" = "NETWORK=${NETWORK}" ]; then
+       if [ -n "${GATEWAY}" -a "`ipcalc --network ${GATEWAY} ${NETMASK}
2>/dev/null`" = "NETWORK=${NETWORK}" ]; then
            route add default gw ${GATEWAY} ${DEVICE}
            DEFGW=${GATEWAY}
        elif [ "${GATEWAYDEV}" = "${DEVICE}" ]; then
Comment 1 Bill Nottingham 2001-03-14 12:54:19 EST
Also fixed in 5.77-1.

Note You need to log in before you can comment on or make changes to this bug.